Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class SoftMixingMainMixer

    java.lang.Object
      com.sun.media.sound.SoftMixingMainMixer

    public class SoftMixingMainMixer

extends java.lang.Object

Main mixer for SoftMixingMixer.

Author:
  Karl Helgason

Field Summary
`static int` | `CHANNEL_CHANNELMIXER_LEFT`
`static int` | `CHANNEL_CHANNELMIXER_RIGHT`
`static int` | `CHANNEL_EFFECT1`
`static int` | `CHANNEL_EFFECT2`
`static int` | `CHANNEL_EFFECT3`
`static int` | `CHANNEL_EFFECT4`
`static int` | `CHANNEL_LEFT`
`static int` | `CHANNEL_LEFT_DRY`
`static int` | `CHANNEL_RIGHT`
`static int` | `CHANNEL_RIGHT_DRY`
`static int` | `CHANNEL_SCRATCH1`
`static int` | `CHANNEL_SCRATCH2`

Constructor Summary
`SoftMixingMainMixer(SoftMixingMixer mixer)`

Method Summary
`void` | `close()`
`void` | `closeLine(SoftMixingDataLine line)`
`javax.sound.sampled.AudioInputStream` | `getInputStream()`
`SoftMixingDataLine[]` | `getOpenLines()`
`void` | `openLine(SoftMixingDataLine line)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHANNEL_LEFT

    public static final int CHANNEL_LEFT

See Also:
  Constant Field Values

### CHANNEL_RIGHT

    public static final int CHANNEL_RIGHT

See Also:
  Constant Field Values

### CHANNEL_EFFECT1

    public static final int CHANNEL_EFFECT1

See Also:
  Constant Field Values

### CHANNEL_EFFECT2

    public static final int CHANNEL_EFFECT2

See Also:
  Constant Field Values

### CHANNEL_EFFECT3

    public static final int CHANNEL_EFFECT3

See Also:
  Constant Field Values

### CHANNEL_EFFECT4

    public static final int CHANNEL_EFFECT4

See Also:
  Constant Field Values

### CHANNEL_LEFT_DRY

    public static final int CHANNEL_LEFT_DRY

See Also:
  Constant Field Values

### CHANNEL_RIGHT_DRY

    public static final int CHANNEL_RIGHT_DRY

See Also:
  Constant Field Values

### CHANNEL_SCRATCH1

    public static final int CHANNEL_SCRATCH1

See Also:
  Constant Field Values

### CHANNEL_SCRATCH2

    public static final int CHANNEL_SCRATCH2

See Also:
  Constant Field Values

### CHANNEL_CHANNELMIXER_LEFT

    public static final int CHANNEL_CHANNELMIXER_LEFT

See Also:
  Constant Field Values

### CHANNEL_CHANNELMIXER_RIGHT

    public static final int CHANNEL_CHANNELMIXER_RIGHT

See Also:
  Constant Field Values

Constructor Detail

### SoftMixingMainMixer

    public SoftMixingMainMixer(SoftMixingMixer mixer)

Method Detail

### getInputStream

    public javax.sound.sampled.AudioInputStream getInputStream()

### openLine

    public void openLine(SoftMixingDataLine line)

### closeLine

    public void closeLine(SoftMixingDataLine line)

### getOpenLines

    public SoftMixingDataLine[] getOpenLines()

### close

    public void close()

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD